@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

:host {
  height: inherit;
}

.loader {
  height: inherit;
  display: flex;
  justify-content: center;
  align-items: center;

  &--full-page {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 101;
    background-color: rgba(0, 0, 0, 0.5)
  }

  &--orders {
    margin-bottom: 40px;
    height: 70px
  }

  &--sidebar {
    height: 330px;
  }

  &--kce {
    height: 250px;
  }

  &__main {
    width: 50px;
    height: 50px;

    .loader--sm & {
      width: 30px;
      height: 30px;
    }
  }

  &__circle {
    stroke: $gray-light-color;

    .loader--black & {
      stroke: $black-color;
    }

    .loader--yellow & {
      stroke: $primary-color;
    }
  }
}
